TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.CMListenerInfo Class Reference

This class represents a TIBCO Rendezvous CM listener. More...

## Public Member Functions
| CMListenerInfo ()
| Creates CMListener with empty transport, name and subject. More...
| CMListenerInfo (string transport, string name, string subject)
| Creates CMListener on a given transport with given name and subject name. More...
| CMListenerInfo (string name, string subject)
| Creates CMListener with given name and subject name. More...
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
string | Transport`[get, set]`
| Get or set the name of the listener's transport. More...
string | Name`[get, set]`
| Get or set the name of the listener. More...
string | Subject`[get, set]`
| Get or set the subject of the listener. More...

## Detailed Description

This class represents a TIBCO Rendezvous CM listener.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.CMListenerInfo.CMListenerInfo | ( |  | ) |
| inline

Creates CMListener with empty transport, name and subject.

TIBCO.EMS.ADMIN.CMListenerInfo.CMListenerInfo | ( | string | transport,
|  | string | name,
|  | string | subject
| ) |  |
| inline

Creates CMListener on a given transport with given name and subject name.

Parameters

  transport | the name of the transport on which the listener is to be created.
  name | the name of listener to be created.
  subject | the subject on which the listener is to be created.

TIBCO.EMS.ADMIN.CMListenerInfo.CMListenerInfo | ( | string | name,
|  | string | subject
| ) |  |
| inline

Creates CMListener with given name and subject name.

CMListeners created with this method are assigned to the default TIBCO Rendezvous CM transport ("$RVCM$"). If the server uses multiple named transports then use the CMListenerInfo(string transport, string name, string subject) constructor, specifying which transport the listener is to be created on.

Parameters

  name | the name of listener to be created.
  subject | the subject on which the listener is to be created.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.CMListenerInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

string TIBCO.EMS.ADMIN.CMListenerInfo.Name
| get set

Get or set the name of the listener.

Returns
  listener name.

string TIBCO.EMS.ADMIN.CMListenerInfo.Subject
| get set

Get or set the subject of the listener.

Returns
  listener subject.

string TIBCO.EMS.ADMIN.CMListenerInfo.Transport
| get set

Get or set the name of the listener's transport.

Returns
  transport name.